{#
  Component Name: Card
  Attributs:
  - big (Boolean)
	- path (Array)
		- name (String)
		- args (Array)
  - thumbnail (Array)
		- item (Entity)
		- alt (String)
	- title (String)
	- category (Entity)
	- date (Datetime)
#}

{% set break = false %}

<div class="card {{ (big is defined and big) ? 'card--big' : '' }}">
	{% if thumbnail is defined and thumbnail %}
		<div class="card__image">
			{% if path is defined and path %}
				<a href="{{ path('' ~ path.name ~ '', path.args) }}">
				{% endif %}
				{% if big %}
					<img src="{{ vich_uploader_asset(thumbnail.item, 'imageFile') | imagine_filter('blog_big_card') }}" alt="{{ thumbnail.alt }}">
				{% else %}
					<img src="{{ vich_uploader_asset(thumbnail.item, 'imageFile') | imagine_filter('simple_card') }}" alt="{{ thumbnail.alt }}">
				{% endif %}
				{% if path is defined and path %}
				</a>
			{% endif %}
		</div>
	{% endif %}

	{% if title is defined and title %}
		<h3 class="title title--4 title--bold blog__title">
			{% if path is defined and path %}
				<a href="{{ path('' ~ path.name ~ '', path.args) }}">
				{% endif %}
				{{ title }}
				{% if path is defined and path %}
				</a>
			{% endif %}
		</h3>
	{% endif %}

	<div class="card__content">
		{% if category is defined and category %}
			<div class="card__category">
				<a href="{{ path('blog_category', {slug: category.slug}) }}">{{ category.name }}</a>
			</div>
		{% endif %}

		{% if category is defined and category and publishedAt is defined and publishedAt %}
			<span class="separator">•</span>
		{% endif %}

		{% if publishedAt is defined and publishedAt %}
			<div class="card__date">
				{{ publishedAt|date("d/m/Y") }}
			</div>
		{% endif %}
	</div>
</div>
